Bug 36332 - Javadoc has incorrect reference for J2SE classes.
Javadoc has incorrect reference for J2SE classes.
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Other
1.2
Other other
: P2 normal
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-08-24 06:28 UTC by Mark Womack
Modified: 2006-01-27 15:19 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Womack 2005-08-24 06:28:14 UTC
While looking at it, Curt discovered that all the links to J2SE  
classes (like String, StringBuilder, etc) are broken.  The fix is:

Index: build.xml
===================================================================
RCS file: /home/cvs/logging-log4j/build.xml,v
retrieving revision 1.34.2.35
diff -u -r1.34.2.35 build.xml
--- build.xml    23 Aug 2005 05:26:55 -0000    1.34.2.35
+++ build.xml    23 Aug 2005 23:01:12 -0000
@@ -434,7 +434,7 @@
               header="<b>Log4j ${version}</b>"
               bottom="Copyright 2000-2005 Apache Software Foundation.">
-      <link href="http://java.sun.com/products/jdk/1.3/docs/api/"/>
+      <link href="http://java.sun.com/j2se/1.3/docs/api/"/>
        <link href="http://java.sun.com/j2ee/sdk_1.3/techdocs/api/"/>
        <classpath refid="compile.classpath"/>
      </javadoc>
Comment 1 Mark Womack 2005-08-24 07:11:12 UTC
Fixed in the 1_2branch.  Still need to apply to the cvs head.
Comment 2 Curt Arnold 2006-01-28 00:19:27 UTC
Looks like Sun went and put a redirect at the location that we had been
referencing, but changed build.xml to be consistent with log4j 1.2 at rev 373024.